package com.pj.ht_borders_list;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: ht_borders_list -- 
 * @author yzs 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HtBordersListService extends ServiceImpl<HtBordersListMapper, HtBordersList> implements IService<HtBordersList>{

	/** 底层 Mapper 对象 */
	@Autowired
	HtBordersListMapper htBordersListMapper;

	/** 增 */
	void add(HtBordersList h){
		save(h);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(HtBordersList h){
		updateById(h);

	}

	/** 查 */
	HtBordersList getById(Integer id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<HtBordersList> getList(SoMap so) { 
		return htBordersListMapper.getList(so);	
	}
	

}
